Package org.eclipse.mat.ibmvm.acquire

## Class BaseProvider

- java.lang.Object
- - org.eclipse.mat.ibmvm.acquire.BaseProvider

All Implemented Interfaces:
  `IHeapDumpProvider`

Direct Known Subclasses:
  `IBMDumpProvider`, `IBMExecDumpProvider`

    public abstract class BaseProvider
    extends java.lang.Object
    implements IHeapDumpProvider

The base dump provider class. Providers helper method to copy class files and create a jar to run with another VM.

### Field Summary

Fields
`boolean` `defaultCompress`
`boolean` `defaultLive`
`DumpType` `defaultType`
`java.lang.String` `heapDumpTemplate`
`java.lang.String` `heapDumpZipTemplate`
`java.lang.String` `hprofDumpTemplate`
`java.lang.String` `hprofDumpZipTemplate`
`java.lang.String` `javaDumpTemplate`
`boolean` `listAttach`
`java.lang.String` `systemDumpTemplate`
`java.lang.String` `systemDumpZipTemplate`

### Constructor Summary

Constructors
`BaseProvider()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.snapshot.acquire.IHeapDumpProvider

`acquireDump, getAvailableVMs`

### Field Detail

#### defaultType

    public DumpType defaultType

#### defaultLive

    public boolean defaultLive

#### defaultCompress

    public boolean defaultCompress

#### listAttach

    public boolean listAttach

#### systemDumpTemplate

    public java.lang.String systemDumpTemplate

#### systemDumpZipTemplate

    public java.lang.String systemDumpZipTemplate

#### heapDumpTemplate

    public java.lang.String heapDumpTemplate

#### heapDumpZipTemplate

    public java.lang.String heapDumpZipTemplate

#### javaDumpTemplate

    public java.lang.String javaDumpTemplate

#### hprofDumpTemplate

    public java.lang.String hprofDumpTemplate

#### hprofDumpZipTemplate

    public java.lang.String hprofDumpZipTemplate

### Constructor Detail

#### BaseProvider

    public BaseProvider()